#include "Parser.h"
#include <stdio.h>
#include <stdlib.h>

char *NewLineCounter(char *sp, int *);
char *SpaceCounter  (char *sp, int *);

int main(void)
{
  int   spaces = 0;
  int   newlines = 1;

  ParserInit("Parser.c", 1024);

  AddTokenSeparator("\n", 0, -1, 1, (PARSER_CALLBACK)NewLineCounter, &newlines);
  AddTokenSeparator(" " , 0, -1, 1, (PARSER_CALLBACK)SpaceCounter  , &spaces);

  free(GrabToken());

  printf("New Lines : %d\n", newlines);
  printf("Spaces    : %d\n", spaces);
  printf("Characters: %ld\n", GetFilePosition());

  ParserDeInit();

  return 0;
}

char *NewLineCounter(char *sp, int *a)
{
  (*a)++;

  return sp;
}

char *SpaceCounter(char *sp, int *a)
{
  (*a)++;

  return sp;
}
